package guavacado;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Label;
import javafx.scene.control.TextArea;
import javafx.stage.Stage;

public class GuavMessage {
	private Stage thisStage;
	
	@FXML
	private Label messageTitle;
	@FXML
	private TextArea messageText;
	
	/**
	 * Prepares the message window.
	 * 
	 * @param thisStage The message window <code>Stage</code>.
	 * @param title Title of the message.
	 * @param message Message to be displayed.
	 */
	protected void prepare(final Stage thisStage, final String title, final String message) {
		this.thisStage = thisStage;
		
		messageTitle.setText(title);
		messageText.setText(message);
	}
	
	@FXML protected void dismiss(ActionEvent event) {
		thisStage.close();
	}
}
