package guavacado;

import java.util.List;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.TextArea;
import javafx.stage.Stage;

public class GuavOverwrite {
	private Stage thisStage;
	
	private int exportID;
	
	@FXML
	private TextArea messageText;
	
	/**
	 * Prepares the overwrite window.
	 * 
	 * @param exportID ID of the export thread.
	 * @param thisStage Overwrite window's <code>Stage</code>.
	 * @param files <code>List</code> of files to be overwritten.
	 */
	protected void prepare(final int exportID, final Stage thisStage, final List<String> files) {
		this.thisStage = thisStage;
		this.exportID = exportID;
		
		StringBuilder sb = new StringBuilder("Do you wish to overwrite the following files?\n");
		for (String s : files) {
			sb.append("\n");
			sb.append(s);
		}
		
		messageText.setText(sb.toString());
	}
	
	@FXML protected void okay(ActionEvent event) {
		thisStage.close();
		ImageExport.startBatchExport(exportID);
	}
	
	@FXML protected void cancel(ActionEvent event) {
		thisStage.close();
		ImageExport.declineBatchExport(exportID);
	}
}
